> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Thread Admin Status

> Set (or clear) the admin status on a conversation thread.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/conversations/{thread_id}/status
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/conversations/{thread_id}/status:
    post:
      tags:
        - Conversations
      summary: Set Thread Admin Status
      description: Set (or clear) the admin status on a conversation thread.
      operationId: core_api_v1_controllers_conversations_set_thread_admin_status
      parameters:
        - in: path
          name: thread_id
          schema:
            title: Thread Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThreadStatusIn'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThreadOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    ThreadStatusIn:
      properties:
        status_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Status Id
      title: ThreadStatusIn
      type: object
    ThreadOut:
      properties:
        object:
          default: thread
          title: Object
          type: string
        id:
          title: Id
          type: string
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        evaluation:
          anyOf:
            - type: string
            - type: 'null'
          title: Evaluation
        evaluation_comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Evaluation Comment
        reviewed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewed At
        admin_status:
          anyOf:
            - $ref: '#/components/schemas/ThreadAdminStatusOut'
            - type: 'null'
        admin_tags:
          default: []
          items:
            $ref: '#/components/schemas/ThreadAdminTagOut'
          title: Admin Tags
          type: array
        llm_judge_evaluated:
          default: false
          title: Llm Judge Evaluated
          type: boolean
        llm_judge_need_review:
          default: false
          title: Llm Judge Need Review
          type: boolean
        cx_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Cx Score
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        message_count:
          default: 0
          title: Message Count
          type: integer
      required:
        - id
      title: ThreadOut
      type: object
    ThreadAdminStatusOut:
      properties:
        object:
          default: thread_admin_status
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
      required:
        - id
        - name
      title: ThreadAdminStatusOut
      type: object
    ThreadAdminTagOut:
      properties:
        object:
          default: admin_tag
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
      required:
        - id
        - name
      title: ThreadAdminTagOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````